Groovy 1.7.10

## groovy.jmx.builder
[Java] Class JmxEventListener

    java.lang.Object
      groovy.jmx.builder.JmxEventListener

All Implemented Interfaces:
  NotificationListener

    public class JmxEventListener
    extends Object

The JmxEventListner class is used by the builder to listen to events on the event bus. It is used internally by JmxBuilder to handle attribute-change and operation-invoke events on the bean() node.

Authors:
  Vladimir Vivien

See Also:
  JmxBeanFactory

Method Summary
`static JmxEventListener` | `getListner()` Factory method that returns an instance of the listener.
`void` | `handleNotification(Notification notification, Object handback)` This is the mplemented method for NotificationListener.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getListner

    public static JmxEventListener getListner()

  Factory method that returns an instance of the listener.
  Returns:
    - JmxEventListener instance.

### handleNotification

    public void handleNotification(Notification notification, Object handback)

  This is the mplemented method for NotificationListener. It is called by an event emitter to dispatch JMX events to listeners. Here it handles internal JmxBuilder events.
  Parameters:
    `notification` - the notification object passed to closure used to handle JmxBuilder events.
    `handback` - - In this case, the handback is the closure to execute when the event is handled.

Copyright © 2003-2010 The Codehaus. All rights reserved.